LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Red Hat
User Name
Password
Red Hat This forum is for the discussion of Red Hat Linux.

Notices

Reply
 
Search this Thread
Old 03-20-2013, 11:46 AM   #1
imranal
LQ Newbie
 
Registered: Mar 2013
Posts: 2

Rep: Reputation: Disabled
except IOError as e during manual install with python


I am trying to install instant in an environment where I do not have sudo access.

Running the following command leads to the error message/ incomplete installation :

------------------------------------------------------

$ python setup.py install --prefix=~/imranal
running install
running build
running build_py
creating build
creating build/lib
creating build/lib/instant
copying instant/__init__.py -> build/lib/instant
copying instant/build.py -> build/lib/instant
copying instant/cache.py -> build/lib/instant
copying instant/codegeneration.py -> build/lib/instant
copying instant/config.py -> build/lib/instant
copying instant/inlining.py -> build/lib/instant
copying instant/locking.py -> build/lib/instant
copying instant/output.py -> build/lib/instant
copying instant/paths.py -> build/lib/instant
copying instant/signatures.py -> build/lib/instant
creating build/lib/instant/swig
copying instant/swig/numpy.i -> build/lib/instant/swig
running build_scripts
creating build/scripts-2.5
copying and adjusting scripts/instant-clean -> build/scripts-2.5
copying and adjusting scripts/instant-showcache -> build/scripts-2.5
changing mode of build/scripts-2.5/instant-clean from 600 to 755
changing mode of build/scripts-2.5/instant-showcache from 600 to 755
running install_lib
byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/__init__.py to __init__.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/__init__.py", line 24
from .output import *
SyntaxError: 'import *' not allowed with 'from .'

byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/build.py to build.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/build.py", line 157
except OSError as e:
^
SyntaxError: invalid syntax

byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/cache.py to cache.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/cache.py", line 38
except Exception as e:
^
SyntaxError: invalid syntax

byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/output.py to output.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/output.py", line 65
except IOError as e:
^
SyntaxError: invalid syntax

byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/paths.py to paths.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/paths.py", line 74
except os.error as e:
^
SyntaxError: invalid syntax

byte-compiling /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/signatures.py to signatures.pyc
File "/uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant/signatures.py", line 22
except IOError as e:
^
SyntaxError: invalid syntax

running install_scripts
copying build/scripts-2.5/instant-clean -> /uio/arkimedes/s07/imranal/imranal/bin
copying build/scripts-2.5/instant-showcache -> /uio/arkimedes/s07/imranal/imranal/bin
changing mode of /uio/arkimedes/s07/imranal/imranal/bin/instant-clean to 755
changing mode of /uio/arkimedes/s07/imranal/imranal/bin/instant-showcache to 755
running install_data
running install_egg_info
Removing /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant-1.1.0-py2.5.egg-info
Writing /uio/arkimedes/s07/imranal/imranal/lib/python2.5/site-packages/instant-1.1.0-py2.5.egg-info

-------------------------------------

My intention is to install FEniCS. I am trying to follow the following guide :

http://fenicsproject.org/download/in...on-from-source

Here is some additional info :
--------------------------------------------
imranal@rubin ~ $ lsb_release -a
LSB Version: :core-4.0-amd64:core-4.0-ia32:core-4.0-noarch:graphics-4.0-amd64:graphics-4.0-ia32:graphics-4.0-noarchrinting-4.0-amd64rinting-4.0-ia32rinting-4.0-noarch
Distributor ID: RedHatEnterpriseClient
Description: Red Hat Enterprise Linux Client release 5.9 (Tikanga)
Release: 5.9
Codename: Tikanga

imranal@rubin ~ $ uname -a
Linux rubin.ifi.uio.no 2.6.18-348.3.1.el5 #1 SMP Tue Mar 5 13:19:32 EST 2013 x86_64 GNU/Linux

imranal@rubin ~ $ which python
python is /local/bin/python

imranal@rubin ~ $ python --version
Python 2.5.2

----------------------------------------
How can I disable emotes ?

Last edited by imranal; 03-20-2013 at 11:47 AM.
 
Old 03-27-2013, 04:05 PM   #2
Ginola
Member
 
Registered: Sep 2012
Location: UK
Distribution: CentOS, RHEL
Posts: 56

Rep: Reputation: Disabled
There might be a bug in your python version. http://bugs.python.org/issue2400
 
1 members found this post helpful.
Old 03-28-2013, 02:11 PM   #3
imranal
LQ Newbie
 
Registered: Mar 2013
Posts: 2

Original Poster
Rep: Reputation: Disabled
fixed

Quote:
Originally Posted by Ginola View Post
There might be a bug in your python version. http://bugs.python.org/issue2400

After downloading the lastest version of instant, vers. 1.2.0, I ran the command using python 2.7 and it worked. However, I noticed that the installation with python v.2.5.2 still yielded the same error. Apparently it may be a bug in python version as you suggested Ginola. Thanks for your help.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Yum IOError Styles Linux - Newbie 27 09-20-2011 03:36 PM
[SOLVED] Python "IOError: [Errno 24] Too many open files" Snark1994 Programming 2 02-03-2011 06:51 PM
[SOLVED] yum [Errno 4] IOError sulekha Fedora 3 10-16-2010 03:23 PM
How can I uninstall a python package installed with python setup.py install? milomak Linux - Software 1 11-16-2009 09:22 PM
Help!! Yum Ioerror? sean_zhang Linux - Software 2 01-12-2009 07:15 PM


All times are GMT -5. The time now is 01:07 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration